# Cloud Init Script

This script automates the setup of a virtual machine using an Ubuntu Cloud Image in Proxmox, with the option to create a template and clone it.

## Usage

You can execute this script directly using `curl` with the following command:

### Default Storage (`proxmox`)

To run the script using the default storage (`proxmox`):

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/install.sh | bash
```

### Specify a Different Storage

If you want to specify a different storage, replace `other_storage_name` with your desired storage name:

```bash
curl -sSL https://git.nixc.us/colin/cloud-init/install.sh | bash -s -- other_storage_name
```

## Notes

- The script is designed to exit immediately if any step fails, ensuring that errors are caught early.
- The default storage location is set to `proxmox`, but it can be overridden by providing a different storage name as an argument.


